var gv_frameRate = 60;

if (! window.requestAnimationFrame) {
	window.requestAnimationFrame =
		(window.webkitRequestAnimationFrame ||
		window.mozRequestAnimationFrame ||
		window.oRequestAnimationFrame ||
		window.msRequestAnimationFrame ||
		function(callback) {
			return window.setTimeout(callback, 1000 / gv_frameRate);
		});
}

if (! window.cancelAnimationFrame) {
    window.cancelAnimationFrame =
        (window.webkitCancelAnimationFrame ||
        window.mozCancelAnimationFrame ||
        window.oCancelAnimationFrame ||
        window.msCancelAnimationFrame ||
        function() {
            return window.clearTimeout(gv_requestAnimationFrame);
        });
}

var utils = {};

utils.captureMouse = function(element) {
	var mouse = { x : 0, y : 0 };

	element.addEventListener("mousemove", function(event) {
		var x, y;

		if(event.pageX || event.pageY) {
			x = event.pageX;
			y = event.pageY;
		} else {
			x = event.clientX + document.body.scrollLeft + document.documentElement.scrollLeft;
			y = event.clientY + document.body.scrollTop + document.documentElement.scrollTop;
		}

		mouse.x = x - element.offsetLeft;
		mouse.y = y - element.offsetTop;
	}, false);

	return mouse;
};

utils.toRadians = function(degrees) {
	return degrees * Math.PI / 180;
};

utils.toDegrees = function(radians) {
	return radians * 180 / Math.PI;
};

utils.getRandomInt = function(min, max) {
	return Math.floor( Math.random() * (max - min + 1) ) + min;
};